import segment from '@satorijs/element';
import { Dict } from 'cosmokit';

export function jsx(
  type: string,
  attrs: Dict<any>,
  ...children: segment.Fragment[]
) {
  return segment(type, attrs, ...children);
}

declare global {
  // eslint-disable-next-line @typescript-eslint/no-namespace
  namespace JSX {
    // eslint-disable-next-line @typescript-eslint/no-empty-interface
    interface Element extends segment {}
  }
}
